notbugAs an Amazon Associate I earn from qualifying purchases.
Want a good read? Try FreeBSD Mastery: Jails (IT Mastery Book 15)
Port details
poppler PDF rendering library
0.81.0_1 graphics on this many watch lists=67 search for ports that depend on this port An older version of this port was marked as vulnerable. Find issues related to this port Report an issue related to this port 0.81.0Version of this port present on the latest quarterly branch.
Maintainer: gnome@FreeBSD.org search for ports maintained by this maintainer
Port Added: 2005-03-12 11:55:29
Last Update: 2019-09-29 08:25:04
SVN Revision: 513196
Also Listed In: print
License: GPLv2
Description:
SVNWeb : Homepage
pkg-plist: as obtained via: make generate-plist
Expand this list (144 items)
  1. @ldconfig
  2. /usr/local/share/licenses/poppler-0.81.0_1/catalog.mk
  3. /usr/local/share/licenses/poppler-0.81.0_1/LICENSE
  4. /usr/local/share/licenses/poppler-0.81.0_1/GPLv2
  5. include/poppler/Annot.h
  6. include/poppler/Array.h
  7. include/poppler/BuiltinFont.h
  8. include/poppler/BuiltinFontTables.h
  9. include/poppler/CMap.h
  10. include/poppler/CachedFile.h
  11. include/poppler/Catalog.h
  12. include/poppler/CertificateInfo.h
  13. include/poppler/CharCodeToUnicode.h
  14. include/poppler/CharTypes.h
  15. include/poppler/CompactFontTables.h
  16. @comment include/poppler/CurlCachedFile.h
  17. @comment include/poppler/CurlPDFDocBuilder.h
  18. include/poppler/DateInfo.h
  19. include/poppler/Decrypt.h
  20. include/poppler/Dict.h
  21. include/poppler/Error.h
  22. include/poppler/ErrorCodes.h
  23. include/poppler/FileSpec.h
  24. include/poppler/FontEncodingTables.h
  25. include/poppler/FontInfo.h
  26. include/poppler/Form.h
  27. include/poppler/Function.h
  28. include/poppler/Gfx.h
  29. include/poppler/GfxFont.h
  30. include/poppler/GfxState.h
  31. include/poppler/GfxState_helpers.h
  32. include/poppler/GlobalParams.h
  33. include/poppler/Hints.h
  34. include/poppler/JArithmeticDecoder.h
  35. include/poppler/JBIG2Stream.h
  36. include/poppler/JPEG2000Stream.h
  37. @comment include/poppler/JPXStream.h
  38. include/poppler/Lexer.h
  39. include/poppler/Linearization.h
  40. include/poppler/Link.h
  41. include/poppler/LocalPDFDocBuilder.h
  42. include/poppler/MarkedContentOutputDev.h
  43. include/poppler/Movie.h
  44. include/poppler/NameToCharCode.h
  45. include/poppler/NameToUnicodeTable.h
  46. include/poppler/Object.h
  47. include/poppler/OptionalContent.h
  48. include/poppler/Outline.h
  49. include/poppler/OutputDev.h
  50. include/poppler/PDFDoc.h
  51. include/poppler/PDFDocBuilder.h
  52. include/poppler/PDFDocEncoding.h
  53. include/poppler/PDFDocFactory.h
  54. include/poppler/PSOutputDev.h
  55. include/poppler/PSTokenizer.h
  56. include/poppler/Page.h
  57. include/poppler/PageTransition.h
  58. include/poppler/Parser.h
  59. include/poppler/PopplerCache.h
  60. include/poppler/PreScanOutputDev.h
  61. include/poppler/ProfileData.h
  62. include/poppler/Rendition.h
  63. include/poppler/SecurityHandler.h
  64. include/poppler/Sound.h
  65. include/poppler/SplashOutputDev.h
  66. include/poppler/StdinCachedFile.h
  67. include/poppler/StdinPDFDocBuilder.h
  68. include/poppler/Stream-CCITT.h
  69. include/poppler/Stream.h
  70. include/poppler/StructElement.h
  71. include/poppler/StructTreeRoot.h
  72. include/poppler/TextOutputDev.h
  73. include/poppler/UTF.h
  74. include/poppler/UnicodeCClassTables.h
  75. include/poppler/UnicodeCompTables.h
  76. include/poppler/UnicodeDecompTables.h
  77. include/poppler/UnicodeMap.h
  78. include/poppler/UnicodeMapFuncs.h
  79. include/poppler/UnicodeMapTables.h
  80. include/poppler/UnicodeTypeTable.h
  81. include/poppler/ViewerPreferences.h
  82. include/poppler/XRef.h
  83. include/poppler/cpp/poppler-destination.h
  84. include/poppler/cpp/poppler-document.h
  85. include/poppler/cpp/poppler-embedded-file.h
  86. include/poppler/cpp/poppler-font.h
  87. include/poppler/cpp/poppler-global.h
  88. include/poppler/cpp/poppler-image.h
  89. include/poppler/cpp/poppler-page-renderer.h
  90. include/poppler/cpp/poppler-page-transition.h
  91. include/poppler/cpp/poppler-page.h
  92. include/poppler/cpp/poppler-rectangle.h
  93. include/poppler/cpp/poppler-toc.h
  94. include/poppler/cpp/poppler-version.h
  95. include/poppler/fofi/FoFiBase.h
  96. include/poppler/fofi/FoFiEncodings.h
  97. include/poppler/fofi/FoFiIdentifier.h
  98. include/poppler/fofi/FoFiTrueType.h
  99. include/poppler/fofi/FoFiType1.h
  100. include/poppler/fofi/FoFiType1C.h
  101. include/poppler/goo/GooCheckedOps.h
  102. include/poppler/goo/GooLikely.h
  103. include/poppler/goo/GooString.h
  104. include/poppler/goo/GooTimer.h
  105. include/poppler/goo/ImgWriter.h
  106. include/poppler/goo/JpegWriter.h
  107. include/poppler/goo/PNGWriter.h
  108. include/poppler/goo/TiffWriter.h
  109. include/poppler/goo/gdir.h
  110. include/poppler/goo/gfile.h
  111. include/poppler/goo/gmem.h
  112. include/poppler/goo/grandom.h
  113. include/poppler/goo/gstrtod.h
  114. include/poppler/poppler-config.h
  115. include/poppler/splash/Splash.h
  116. include/poppler/splash/SplashBitmap.h
  117. include/poppler/splash/SplashClip.h
  118. include/poppler/splash/SplashErrorCodes.h
  119. include/poppler/splash/SplashFTFont.h
  120. include/poppler/splash/SplashFTFontEngine.h
  121. include/poppler/splash/SplashFTFontFile.h
  122. include/poppler/splash/SplashFont.h
  123. include/poppler/splash/SplashFontEngine.h
  124. include/poppler/splash/SplashFontFile.h
  125. include/poppler/splash/SplashFontFileID.h
  126. include/poppler/splash/SplashGlyphBitmap.h
  127. include/poppler/splash/SplashMath.h
  128. include/poppler/splash/SplashPath.h
  129. include/poppler/splash/SplashPattern.h
  130. include/poppler/splash/SplashScreen.h
  131. include/poppler/splash/SplashState.h
  132. include/poppler/splash/SplashTypes.h
  133. include/poppler/splash/SplashXPath.h
  134. include/poppler/splash/SplashXPathScanner.h
  135. lib/libpoppler-cpp.so
  136. lib/libpoppler-cpp.so.0
  137. lib/libpoppler-cpp.so.0.7.0
  138. lib/libpoppler.so
  139. lib/libpoppler.so.91
  140. lib/libpoppler.so.91.0.0
  141. libdata/pkgconfig/poppler-cairo.pc
  142. libdata/pkgconfig/poppler-cpp.pc
  143. libdata/pkgconfig/poppler-splash.pc
  144. libdata/pkgconfig/poppler.pc
Collapse this list.
Dependency lines:
  • poppler>0:graphics/poppler
  • libpoppler.so:graphics/poppler
To install the port: cd /usr/ports/graphics/poppler/ && make install clean
To add the package: pkg install poppler
PKGNAME: poppler
Flavors: there is no flavor information for this port.
distinfo:

Slave ports
  1. graphics/poppler-glib
  2. graphics/poppler-qt5
  3. graphics/poppler-utils

Dependencies
NOTE: FreshPorts displays only information on required and default dependencies. Optional dependencies are not covered.
Build dependencies:
  1. cmake : devel/cmake
  2. ninja : devel/ninja
  3. pkgconf>=1.3.0_1 : devel/pkgconf
Runtime dependencies:
  1. poppler-data>0 : graphics/poppler-data
Library dependencies:
  1. libnspr4.so : devel/nspr
  2. liblcms2.so : graphics/lcms2
  3. libpng.so : graphics/png
  4. libtiff.so : graphics/tiff
  5. libfreetype.so : print/freetype2
  6. libnss3.so : security/nss
  7. libfontconfig.so : x11-fonts/fontconfig
  8. libopenjp2.so : graphics/openjpeg
  9. libcairo.so : graphics/cairo
  10. libxml2.so : textproc/libxml2
  11. libjpeg.so : graphics/jpeg-turbo
  12. libiconv.so : converters/libiconv
This port is required by:
for Build

    Deleted ports which required this port:

    Expand this list of 1 deleted port
    1. devel/py-itools*
    2. Collapse this list of deleted ports.
for Libraries
  1. converters/pdf2djvu
  2. databases/kbibtex
  3. devel/efl
  4. devel/kf5-kfilemetadata
  5. editors/calligra
  6. editors/kile
  7. editors/libreoffice
Expand this list (29 items / 22 hidden)
  1. editors/texstudio
  2. editors/texworks
  3. graphics/diff-pdf
  4. graphics/inkscape
  5. graphics/krita
  6. graphics/okular
  7. graphics/openfx-arena
  8. graphics/poppler-glib
  9. graphics/poppler-qt5
  10. graphics/poppler-utils
  11. misc/tellico
  12. net/kitinerary
  13. print/pdf-tools
  14. print/scribus-devel
  15. print/texlive-base
  16. textproc/pdfgrep
  17. textproc/py-pdftotext
  18. Collapse this list.

Deleted ports which required this port:

Expand this list of 5 deleted ports
  1. editors/libreoffice4*
  2. editors/texmakerx*
  3. graphics/evas_generic_loaders-pdf*
  4. graphics/poppler-qt4*
  5. graphics/popplerkit*
  6. Collapse this list of deleted ports.
for Run

    Deleted ports which required this port:

    Expand this list of -23 deleted port
    1. Collapse this list of deleted ports.
* - deleted ports are only shown under the This port is required by section. It was harder to do for the Required section. Perhaps later...

Configuration Options

USES:

Master Sites:
  1. https://poppler.freedesktop.org/
Notes from UPDATING
These upgrade notes are taken from /usr/ports/UPDATING
  • 2013-03-17
    Affects: users of graphics/poppler
    Author: gnome@FreeBSD.org
    Reason: 
      The graphics/poppler has been updated to 0.22.2. The shared library version
      has changed from 18 to 34. Please rebuild all ports that depends on it:
    
      # portmaster -r poppler-0
        or
      # portupgrade -fr graphics/poppler
        or
      # pkg install -fR graphics/poppler
    
    
  • 2008-06-30
    Affects: users of graphics/cairo, graphics/poppler*, and future users of www/firefox3
    Author: FreeBSD GNOME Team <gnome@FreeBSD.org>
    Reason: 
      The poppler* ports have been updated to 0.8.3 and the shared libraries
      have changed.  Firefox 3.0 has been added to the tree as www/firefox3.
      These changes require that all dependent ports be updated.  You can do
      this in one of two ways:
    
    	# portmaster pixman
    	# portmaster \*cairo\*
    	# portmaster -r poppler-0
    
      or:
    
    	# pkgdb -Ff
    	# portupgrade pixman\* \*cairo\*
    	# portupgrade -r poppler-0.\*
    
    

Number of commits found: 122 (showing only 100 on this page)

1 | 2  »  

Commit History - (may be incomplete: see SVNWeb link above for full details)
DateByDescription
29 Sep 2019 07:25:04
Original commit files touched by this commit  0.81.0_1
Revision:513196
tcberner search for other commits by this committer
graphics/poppler: update to 0.81.0

Release 0.81.0:
        core:
         * Splash: Always enable support for CMYK rasterization
         * CairoOutputDev: Check scaled dimensions for 0. Issue #737
         * BaseCryptStream: Fix potential uninitialized memory read
         * SplashBitmap: Fix wrong width condition for splashModeDeviceN8
         * Fix crashes in malformed files

PR:		240781
Exp-run by:	antoine
Approved by:	gnome (kwm, implicit)
01 Sep 2019 20:46:39
Original commit files touched by this commit  0.80.0_1
Revision:510739
tcberner search for other commits by this committer
graphics/poppler: update to 0.80.0

Release 0.80.0:
core:
 * Annotations: Implement support for setting a different text in the appearance
stream than the real text
 * Splash: Optionally use small_vector from boost
 * Fix memory leaks on broken files
 * Fix abort on broken files
 * Small code simplifications
 * Remove USE_FIXEDPOINT support. Issue #821

qt5:
 * Fix MSVC build
 * Add subsitute-font information
 * Fix since marker of some functions
(Only the first 15 lines of the commit message are shown above View all of this commit message)
31 Jul 2019 21:14:15
Original commit files touched by this commit  0.79.0
Revision:507740
tcberner search for other commits by this committer
graphics/poppler: update to 0.79.0

Release 0.79.0:
        core:
         * Fix regression on TextSelectionPainter
         * Fix parsing of DefaultAppearance
         * Fix memory leak in PostScriptFunction
         * Fix crashes in fuzzed files

        qt5:
         * Implemented support for setIcon by changing appearance
         * Added option to set the form available to print
         * QString::null is deprecated, use QString()
         * Replace deprecated qStableSort with std::stable_sort

        build system:
         * Turn README into README.md and expand it

PR:		239277
Exp-run by:	antoine
Approved by:	gnome (kwm, implicit)
26 Jul 2019 20:46:57
Original commit files touched by this commit  0.78.0_2
Revision:507372
gerald search for other commits by this committer
Bump PORTREVISION for ports depending on the canonical version of GCC
as defined in Mk/bsd.default-versions.mk which has moved from GCC 8.3
to GCC 9.1 under most circumstances now after revision 507371.

This includes ports
 - with USE_GCC=yes or USE_GCC=any,
 - with USES=fortran,
 - using Mk/bsd.octave.mk which in turn features USES=fortran, and
 - with USES=compiler specifying openmp, nestedfct, c11, c++0x, c++11-lang,
   c++11-lib, c++14-lang, c++17-lang, or gcc-c++11-lib
plus, everything INDEX-11 shows with a dependency on lang/gcc9 now.

PR:		238330
11 Jul 2019 04:11:32
Original commit files touched by this commit  0.78.0_1
Revision:506396
tcberner search for other commits by this committer
graphics/poppler: add upstream bugfix

Approved by:	gnome (kwm, implicit)
29 Jun 2019 08:55:18
Original commit files touched by this commit  0.78.0
Revision:505331
tcberner search for other commits by this committer
graphics/poppler: update to 0.78.0

Release 0.78.0:
        core:
         * Fix line annotation arrows for usage in dimensioning
         * Handle Ink annots without an InkList but with an AP
         * Fix typos preventing parsing of Movie start and duration
         * Fix crash on malformed files

        glib:
         * Add poppler_document_create_dests_tree()
         * Don't use the deprecated g_type_class_add_private()
         * Document the differences between render() and render_for_printing()
         * Fix introspection for poppler_document_new_from_data
         * Don't create PopplerInputStream with length 0. Issue #414
(Only the first 15 lines of the commit message are shown above View all of this commit message)
01 Jun 2019 06:39:23
Original commit files touched by this commit  0.77.0
Revision:503222
tcberner search for other commits by this committer
graphics/poppler: update to 0.77.0

Release 0.77.0:
        core:
         * Fix crash on signature handling. Issue #766
         * Fix small memory leak in SignatureHandler::getCertificateInfo
         * Splash: Restrict filling of overlapping boxes. Issue #750
         * Fix crash on malformed files

        qt5:
         * Fix optional content handling with exclusive layers

        cpp:
         * Make render_page thread-safe

        utils:
         * pdfsig: Fix small memory leak
         * pdftotext: Fix typo in manpage

PR:		238115
Exp-run by:	antoine
Approved by:	gnome (kwm, implicit)
13 May 2019 18:33:10
Original commit files touched by this commit  0.76.1
Revision:501583
tcberner search for other commits by this committer
graphics/poppler: update to 0.76.1

From Changelog at https://poppler.freedesktop.org/releases.html :

Release 0.76.1:
        core:
         * Make the mul tables be calculated at compile time with constexpr.
         * splash: Fix compile with SPLASH_CMYK enabled
         * Some typo fixing in error messages

        qt5:
         * Fix regression in annotation handling

        build system:
         * Fix some typos in build system output and comments
(Only the first 15 lines of the commit message are shown above View all of this commit message)
15 Apr 2019 21:15:59
Original commit files touched by this commit  0.75.0
Revision:499056
sunpoet search for other commits by this committer
Update MASTER_SITES

Approved by:	portmgr (blanket)
27 Mar 2019 21:29:31
Original commit files touched by this commit  0.75.0
Revision:496982
tcberner search for other commits by this committer
graphics/poppler: update to 0.75

Release 0.75.0:
	core:
		* Fix rendering of some annotations
		* Fix crashes in broken files
		* Small internal code improvements

	cpp:
		* Improve documentation
		* tests: Add showing version information to poppler-dump

	utils:
		* pdfattach: new util
		* pdftohtml: add -dataurls parameter
		* pdftoppm: add -sep and -forcenum parameters
		* pdftohtml: make singleHtml and stout not mutually exclusive
		* pdfsig: fix use after free

- bump revisions of dependent ports due to shlib version change

PR:		236791
Exp-run by:	antoine
Approved by:	kwm (gnome)
11 Feb 2019 17:10:05
Original commit files touched by this commit  0.74.0
Revision:492702
tcberner search for other commits by this committer
Update graphics/poppler* to 0.74.0

Changelog can be found here:
  https://poppler.freedesktop.org/releases.html

PR:		235609
Exp-run by:	antoine
Approved by:	gnome (kde)
Differential Revision:	https://reviews.freebsd.org/D18805
25 Dec 2018 20:25:40
Original commit files touched by this commit  0.72.0
Revision:488341
tcberner search for other commits by this committer
Change cmake default behaviour to outsource.

Ports that build out of source now simply can use "USES=cmake"
instead of "USES=cmake:outsource". Ports that fail to build
out of source now need to specify "USES=cmake:insource".

I tried to only set insource where explictely needed.

PR:		232038
Exp-run by:	antoine
17 Dec 2018 06:06:24
Original commit files touched by this commit  0.72.0
Revision:487654
tcberner search for other commits by this committer
graphics/poppler: remove DEPRECATED

- the Qt4 slave port was deprecated.

PR:		234083
Submitted by:	<m.ne@gmx.net>
16 Dec 2018 15:10:42
Original commit files touched by this commit  0.72.0
Revision:487596
tcberner search for other commits by this committer
Update poppler to 0.72

This update brings many changes
- the build system has switched to cmake
- some ports needed to be switched to use their bundled
  version of poppler:
  - print/tex-luatex (r487226)
  - print/tex-xetex (r487226)
  - editors/opeonffice-devel
- Qt4 support has been dropped
  - print/frescobaldi has been removed for this reason.
- most of the added patches can be removed with the next
  upgrade of the concerning port.

PR:		233452
Exp-run by:	antoine
Approved by:	gnome (kwm)
Differential Revision:	https://reviews.freebsd.org/D17456
12 Dec 2018 01:35:36
Original commit files touched by this commit  0.57.0_2
Revision:487272
gerald search for other commits by this committer
Bump PORTREVISION for ports depending on the canonical version of GCC
defined via Mk/bsd.default-versions.mk which has moved from GCC 7.4 t
GCC 8.2 under most circumstances.

This includes ports
 - with USE_GCC=yes or USE_GCC=any,
 - with USES=fortran,
 - using Mk/bsd.octave.mk which in turn features USES=fortran, and
 - with USES=compiler specifying openmp, nestedfct, c11, c++0x, c++11-lang,
   c++11-lib, c++14-lang, c++17-lang, or gcc-c++11-lib
plus, as a double check, everything INDEX-11 showed depending on lang/gcc7.

PR:		231590
02 Dec 2018 15:41:48
Original commit files touched by this commit  0.57.0_1
Revision:486467
rene search for other commits by this committer
Mark QT4 ports/functionality for removal on 2019-03-15

While here, chase some KDE4 ports and functionality, these are scheduled for
removal on 2018-12-31. Change the default option/flavor to QT5 where applicable
or use alternative toolkits like GTK.

Submitted by:	tcberner
Reviewed by:	adridg, jhale, rene, tcberner
Approved by:	portmgr (implicit, flavor hook)
Differential Revision:	https://reviews.freebsd.org/D17741
18 Sep 2018 09:28:35
Original commit files touched by this commit  0.57.0_1
Revision:480003
linimon search for other commits by this committer
Upgrade these ports to USES=compiler:c++11-lang to fix build on gcc-based
archs such as powerpc64.

Tested for no effect on amd64.

While here, pet portlint.

Approved by:	portgmr (tier-2 blanket)
08 Aug 2018 09:37:59
Original commit files touched by this commit  0.57.0_1
Revision:476634
amdmi3 search for other commits by this committer
- Update WWW

Approved by:	portmgr blanket
28 Jun 2018 17:39:55
Original commit files touched by this commit  0.57.0_1
Revision:473503
tcberner search for other commits by this committer
Replace bsd.qt.mk by Uses/qt.mk and Uses/qt-dist.mk

From now on, ports that depend on Qt4 will have to set
	USES=		qt:4
	USE_QT=		foo bar
ports depending on Qt5 will use
	USES=		qt:5
	USE_QT=		foo bar

PR:		229225
Exp-run by:	antoine
Reviewed by:	mat
Approved by:	portmgr (antoine)
Differential Revision:	-https://reviews.freebsd.org/D15540
10 Apr 2018 18:46:48
Original commit files touched by this commit  0.57.0_1
Revision:467004
madpilot search for other commits by this committer
Fix graphics/poppler-qt5 provided include file, causing dependent
ports to fail when including it.

PR:		221805
Submitted by:	me
Approved by:	gnome (kwm)
31 Aug 2017 09:14:41
Original commit files touched by this commit  0.57.0
Revision:449018
kwm search for other commits by this committer
Correct the OPENJPEG disable configure flag

PR:		221796
Reported by:	jakub_lach@mailplus.pl
24 Aug 2017 01:02:59
Original commit files touched by this commit  0.57.0
Revision:448642
swills search for other commits by this committer
graphics/poppler: update to 0.57.0

PR:		220608
Reported by:	Andrew Marks <amracks@gmail.com>
Approved by:	gnome@ (kwm)
MFH:		2017Q3
Security:	eca2d861-76f4-42ed-89d2-23a2cb396c87
18 Feb 2017 19:48:05
Original commit files touched by this commit  0.50.0
Revision:434380 This port version is marked as vulnerable.
tcberner search for other commits by this committer
Update Qt5 to 5.7.1, and unify the Qt4 and Qt5 ports some more

* Update Qt5 to 5.7.1
* Move Qt4 binaries to lib/qt4/bin
* Move Qt5 libraries to lib/qt5/lib
  By moving the libraries we should finally be able to get rid of the inplace
  upgrade bug (see ports bugs 194088, 195105 and 198720):  when Qt5's libraries
  were lying in /usr/local/lib, which would often get added by pkgconfig to the
  linker paths via dependencies, the already installed libraries were linked
  against, instead of the ones that were being built. This forced us to make
  sure, that -L${WRKSRC}/lib was always coming before -L/usr/local/lib in the
  linker flags. With this change this should no longer be the case.
* Rename some ports to match the rest (foo-qtX -> qtX-foo)
* Depend on new port misc/qtchooser [see UPDATING & CHANGES]

There are several new Qt5 ports which all have been created by Marie Loise
Nolden
<nolden@kde.org>. Thanks again.

PR:		216797
Exp-Run by:	antoine
Reviewed by:	rakuco, mat, groot_kde.org
Approved by:	rakuco (mentor)
Differential Revision:	https://reviews.freebsd.org/D9213
07 Jan 2017 10:35:33
Original commit files touched by this commit  0.50.0
Revision:430777 This port version is marked as vulnerable.
olivierd search for other commits by this committer
- Update to 0.50.0
- Remove unneeded patch
- Enable NSS (Network Security Service)
- Switch to OpenJPEG2

PR:		215358
Submitted by:	myself (olivierd@)
Exp-run by:	antoine@
Approved by:	GNOME team (timeout 3 weeks)
09 Oct 2016 22:42:55
Original commit files touched by this commit  0.46.0_2
Revision:423626 This port version is marked as vulnerable.
jbeich search for other commits by this committer
graphics/poppler: ignore installed NSS for now

$ make install -C security/nss
$ DEVELOPER=1 make -C graphics/poppler
[...]
====> Running Q/A tests (stage-qa)
Error: /usr/local/lib/libpoppler.so.63.0.0 is linked to
/usr/local/lib/nss/libnss3.so from security/nss but it is not declared as a
dependency
Error: /usr/local/lib/libpoppler.so.63.0.0 is linked to
/usr/local/lib/nss/libsmime3.so from security/nss but it is not declared as a
dependency
Error: /usr/local/lib/libpoppler.so.63.0.0 is linked to
/usr/local/lib/nss/libssl3.so from security/nss but it is not declared as a
dependency
Error: /usr/local/lib/libpoppler.so.63.0.0 is linked to
/usr/local/lib/nss/libnssutil3.so from security/nss but it is not declared as a
dependency
Error: /usr/local/lib/libpoppler.so.63.0.0 is linked to
/usr/local/lib/libplds4.so from devel/nspr but it is not declared as a
dependency
Warning: you need LIB_DEPENDS+=libplds4.so:devel/nspr
Error: /usr/local/lib/libpoppler.so.63.0.0 is linked to
/usr/local/lib/libplc4.so from devel/nspr but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libplc4.so:devel/nspr
Error: /usr/local/lib/libpoppler.so.63.0.0 is linked to
/usr/local/lib/libnspr4.so from devel/nspr but it is not declared as a
dependency
Warning: you need LIB_DEPENDS+=libnspr4.so:devel/nspr

Reported by:	Walter Schwarzenfeld (via r423591 regression)
Approved by:	portmgr blanket
30 Sep 2016 19:24:30
Original commit files touched by this commit  0.46.0_1
Revision:423014 This port version is marked as vulnerable.
tijl search for other commits by this committer
Let USES=localbase add -L${LOCALBASE}/lib to LIBS instead of LDFLAGS.
USES=localbase:ldflags can be used to set LDFLAGS.  Normally LDFLAGS
appears too early on the command line causing some ports to link with
their own libraries in LOCALBASE (if installed) instead of WRKSRC.

Also make use of _USES_POST so -L${LOCALBASE}/lib is added as late as
possible after anything a port Makefile might set.  Use _USES_POST
instead of .include in libedit.mk and libarchive.mk so things like
'USES=libedit localbase:ldflags' work correctly.

Fix some issues with LIBS in some ports.

Switch ports that don't support LIBS to localbase:ldflags.

PR:		212987
Exp-run by:	antoine
Approved by:	portmgr (antoine)
23 Sep 2016 08:17:04
Original commit files touched by this commit  0.46.0_1
Revision:422651 This port version is marked as vulnerable.
olivierd search for other commits by this committer
- Add patch, which fixes crashes of viewers based on Poppler
- Bump PORTREVISION

PR:		212867
Reported by:	Bengt Ahlgren
Obtained from:	Upstream repository
05 Sep 2016 19:19:35
Original commit files touched by this commit  0.46.0
Revision:421386 This port version is marked as vulnerable.
olivierd search for other commits by this committer
- Update to 0.46.0
- Replace CPPFLAGS and LDFLAGS by USES= localbase

PR:		211388
Submitted by:	myself
Approved by:	The GNOME team (timeout)
Exp-run by:	antoine@
01 Apr 2016 14:00:57
Original commit files touched by this commit  0.40.0
Revision:412346 This port version is marked as vulnerable.
mat search for other commits by this committer
Remove ${PORTSDIR}/ from dependencies, categories d, e, f, and g.

With hat:	portmgr
Sponsored by:	Absolight
21 Jan 2016 19:40:10
Original commit files touched by this commit  0.40.0
Revision:406872 This port version is marked as vulnerable.
kwm search for other commits by this committer
Update poppler to 0.40.0. [1]

Add patches to py-poppler [2] and rubygem-poppler [3] to fix the build
of these ports with poppler 0.39+.

PR:		206293 [1]
Submitted by:	olivierd@ [1]
Obtained from:	ubuntu [2], rubygem-poppler upstream [3]
02 Aug 2015 16:06:17
Original commit files touched by this commit  0.34.0
Revision:393431 This port version is marked as vulnerable.
kwm search for other commits by this committer
Update poppler to 0.34.0. [1]

Chase all users of shlib version change of libpoppler.so.

PR:		201477 [1]
Submitted by:	olivierd@ [1]
22 Jun 2015 18:33:22
Original commit files touched by this commit  0.30.0
Revision:390310 This port version is marked as vulnerable.
antoine search for other commits by this committer
Convert to USES=jpeg
14 May 2015 15:08:14
Original commit files touched by this commit  0.30.0
Revision:386338 This port version is marked as vulnerable.
amdmi3 search for other commits by this committer
- Add CPE info

Approved by:	portmgr blanket
03 Feb 2015 12:28:24
Original commit files touched by this commit  0.30.0
Revision:378348 This port version is marked as vulnerable.
kwm search for other commits by this committer
Update poppler to 0.30.0 [1].

Make sure we use openjpeg1 in poppler, while openjpeg2 support
was added there still bugs in openjpeg2 that need to be fixed.
Add patches to inkscape for API changes in poppler 0.29.0 [2].

PR:		196599 [1]
Submitted by:	olivierd@ [1]
Exp-run by:	antoine@
Obtained from:	upstream [2]
25 Dec 2014 20:54:43
Original commit files touched by this commit  0.26.3_1
Revision:375598 This port version is marked as vulnerable.
bapt search for other commits by this committer
Bump portrevision after png update
25 Dec 2014 19:04:27
Original commit files touched by this commit  0.26.3
Revision:375594 This port version is marked as vulnerable.
antoine search for other commits by this committer
Change libpng15.so to libpng.so in LIB_DEPENDS to prepare the upgrade
21 Dec 2014 00:16:46
Original commit files touched by this commit  0.26.3
Revision:375143 This port version is marked as vulnerable.
bapt search for other commits by this committer
Get rid of gnomehier
25 Nov 2014 12:55:01
Original commit files touched by this commit  0.26.3
Revision:373403 This port version is marked as vulnerable.
makc search for other commits by this committer
graphics/poppler:
- Update to 0.26.3
- Add LICENSE_FILE
- Adjust dependencies
- Add new option, CURL
- Switch to USES=libtool
- Set proper install target instead of manual post-install stripping
- Add Qt5 support
- Use ${MOC} variable provided by Mk/bsd.qt.mk and
  remove needless pre-configure patching

PR:		192068, 194992
Submitted by:	olivierd, makc
Exp-run by:	antoine
Approved by:	kwm
29 Jul 2014 21:25:31
Original commit files touched by this commit  0.24.5_4
Revision:363395 This port version is marked as vulnerable.
adamw search for other commits by this committer
Remove the final usages of USE_XZ from the tree, and replace them with
USES=tar:xz.

Approved by:	portmgr (most of them)
26 May 2014 14:42:44
Original commit files touched by this commit  0.24.5_4
Revision:355352 This port version is marked as vulnerable.
kwm search for other commits by this committer
Update openjpeg to 2.1.0.

Version 2.x is incompatible with openjpeg 1.5. Preserve it as openjpeg15
and update users.

Approved by:	portmgr (implicit) for NO_STAGE ports
23 Apr 2014 13:25:17
Original commit files touched by this commit  0.24.5_3
Revision:351936 This port version is marked as vulnerable.
tijl search for other commits by this committer
When linking a library libA with a library libB using libtool, if libB.la
exists, libtool will add all libraries libB.la refers to (dependency_libs
field) to the linker command line and store them in the dependency_libs
field of libA.la.  So everything that subsequently links with libA will also
link to these extra libraries.  This causes too much overlinking.

This commit modifies Mk/Uses/libtool.mk so it empties the dependency_libs
field in .la libraries during staging.  However, because .la libraries have
very limited use when dependency_libs is empty it makes sense to completely
remove them during staging.

So with this commit USES=libtool is modified to remove .la libraries and a
new form (USES=libtool:keepla) is introduced in case they need to be kept
(dependency_libs is still emptied).
(Only the first 15 lines of the commit message are shown above View all of this commit message)
16 Apr 2014 18:28:50
Original commit files touched by this commit  0.24.5_2
Revision:351411 This port version is marked as vulnerable.
zeising search for other commits by this committer
The FreeBSD x11@ and graphics team proudly presents
a zeising, kwm production, with help from dumbbell, bdrewery:

NEW XORG ON FREEBSD 9-STABLE AND 10-STABLE

This update switches over to use the new xorg stack by default on FreeBSD 9
and 10 stable, on osversions where vt(9) is available.
It is still possible to use the old stack by specifying WITHOUT_NEW_XORG in
/etc/make.conf .
FreeBSD 8-STABLE and released versions of FreeBSD still use
the old version.
A package repository with binary packages for new xorg will
be available soon.

This patch also contains updates of libxcb and related ports, pixman, as well
(Only the first 15 lines of the commit message are shown above View all of this commit message)
28 Feb 2014 21:45:27
Original commit files touched by this commit  0.24.5_1
Revision:346578 This port version is marked as vulnerable.
kwm search for other commits by this committer
Add USES=iconv. It is used in libpoppler-cpp and this makes sure libc iconv
is used on FreeBSD 10+.

PR:		ports/186700
Submitted by:	tijl@
22 Feb 2014 23:43:56
Original commit files touched by this commit  0.24.5
Revision:345681 This port version is marked as vulnerable.
kwm search for other commits by this committer
Update to 0.24.5.

Switch to USES=libtool
27 Dec 2013 16:54:22
Original commit files touched by this commit  0.24.4
Revision:337749 This port version is marked as vulnerable.
kwm search for other commits by this committer
Update poppler to 0.24.4.

Update comment.
Use new LIB_DEPENDS syntax, use USES=pathfix.
Stagify.

Bump portrevision of all affected ports, and Update poppler* LIB_DEPENDS to
new syntax.
20 Sep 2013 18:35:46
Original commit files touched by this commit  0.22.2
Revision:327733 This port version is marked as vulnerable.
bapt search for other commits by this committer
Add NO_STAGE all over the place in preparation for the staging support (cat:
graphics)
02 Sep 2013 16:21:38
Original commit files touched by this commit  0.22.2
Revision:326025 This port version is marked as vulnerable.
bapt search for other commits by this committer
Add an explicit dependency on pkgconf
21 Mar 2013 05:27:16
Original commit files touched by this commit  0.22.2
Revision:314805 This port version is marked as vulnerable.
mezz search for other commits by this committer
- Update poppler to 0.22.2.
- Bump the rest ports that depend on the poppler and poppler-qt because of
  shared library version have been changed.
- Add a note in the UPDATING for require to rebuild all ports that depend
  on poppler.

Submitted by:	kwm (poppler* part)
25 Sep 2012 22:06:42
Original commit files touched by this commit  0.18.4_2
Revision:304864 This port version is marked as vulnerable.
kwm search for other commits by this committer
Unify poppler-config.h includes in poppler header.

PR:		ports/171877
Submitted by:	bsam@
Obtained from:	poppler upstream, Bug 52193
06 Jun 2012 06:44:38
Original commit files touched by this commit  0.18.4_1
 This port version is marked as vulnerable.
miwi search for other commits by this committer
- Convert USE_QT_VER=4 and QT_COMPONETS to USE_QT4

Review by:      bapt, David Naylor (kde team)
01 Jun 2012 05:26:28
Original commit files touched by this commit  0.18.4_1
 This port version is marked as vulnerable.
dinoex search for other commits by this committer
- update png to 1.5.10
14 Mar 2012 15:27:44
Original commit files touched by this commit  0.18.4
 This port version is marked as vulnerable.
mezz search for other commits by this committer
Fix the build with clang.

PR:             ports/163443
Submitted by:   Jan Beich <jbeich@tormail.net>
Feature safe:   yes
24 Feb 2012 12:36:14
Original commit files touched by this commit  0.18.4
 This port version is marked as vulnerable.
kwm search for other commits by this committer
Overwrite the moc detection test to fix the build of poppler-qt4 on < 9.0,
or if qt33 is installed.

PR:             ports/165438 [1]
Reported by:    ale@, rakuco@, Justin Smith <freebsd.users@gmail.com> [1]
                angelv <angelvg@gmail.com>
23 Feb 2012 08:27:38
Original commit files touched by this commit  0.18.4
 This port version is marked as vulnerable.
kwm search for other commits by this committer
Update to 0.18.4.
31 Oct 2011 09:53:19
Original commit files touched by this commit  0.18.0
 This port version is marked as vulnerable.
kwm search for other commits by this committer
Update poppler to 0.18.0.

The qt3 bindings are removed upstream.
The glib library lost the last gdk-pixbuf code. And rename it from
-gtk to -glib.

Thanks to:      pav for a exp-runs
                bapt for double checking the libreoffice ports
23 Sep 2011 22:26:39
Original commit files touched by this commit  0.16.7
 This port version is marked as vulnerable.
amdmi3 search for other commits by this committer
- Add LDFLAGS to CONFIGURE_ENV and MAKE_ENV (as it was done with LDFLAGS)
- Fix all ports that add {CPP,LD}FLAGS to *_ENV to modify flags instead

PR:             157936
Submitted by:   myself
Exp-runs by:    pav
Approved by:    pav
23 Aug 2011 18:35:07
Original commit files touched by this commit  0.16.7
 This port version is marked as vulnerable.
kwm search for other commits by this committer
Update to 0.16.7.
11 Aug 2011 19:20:17
Original commit files touched by this commit  0.16.7
  Sanity Test Failure This port version is marked as vulnerable.
kwm search for other commits by this committer
Remove USE_GNOME=gnometarget from ports. It has been a empty keyword since
mid 2008.

PR:             ports/159624
Submitted by:   Ruslan Mahmatkhanov <cvs-src@yandex.ru>
04 Dec 2010 07:34:27
Original commit files touched by this commit  0.14.5
 This port version is marked as vulnerable.
ade search for other commits by this committer
Sync to new bsd.autotools.mk
20 Nov 2010 15:37:08
Original commit files touched by this commit  0.14.5
 This port version is marked as vulnerable.
kwm search for other commits by this committer
Presenting GNOME 2.32.1 for FreeBSD. The offical release notes for this
release can be found at http://library.gnome.org/misc/release-notes/2.32/

This will be the last release of the GNOME 2.x series, mainly a bugfix and
bridge release to the first release of the GNOME 3.x series.

This release features commits by avl, marcus, mezz and myself.

The FreeBSD GNOME Team would like to thank the following contributors and
testers for there help with this release:

Zane C.B. <vvelox@vvelox.net>
romain@
Olaf Seibert <O.Seibert@cs.ru.nl>
DomiX
(Only the first 15 lines of the commit message are shown above View all of this commit message)
10 May 2010 21:19:08
Original commit files touched by this commit  0.12.4
 This port version is marked as vulnerable.
kwm search for other commits by this committer
Presenting GNOME 2.30.1 for FreeBSD. The offical release notes for this
release can be found at http://library.gnome.org/misc/release-notes/2.30/ .

This release brings initial PackageKit support, Upower (replaces power
management part of hal), cuse4bsd integration with HAL and cheese, and a
faster Evolution.

Sadly GNOME 2.30.x will be the last release with FreeBSD 6.X support. This
will also be the last of the 2.x releases. The next release will be the
highly-anticipated GNOME 3.0 which will bring with it a new UI experience.

Currently, there are a few bugs with GNOME 2.30 that may be of note for our
users. Be sure to consult the UPGRADING note or the 2.30 upgrade FAQ at
http://www.freebsd.org/gnome/docs/faq230.html for specific upgrading
instructions, and the up-to-date list of known issues.
(Only the first 15 lines of the commit message are shown above View all of this commit message)
28 Mar 2010 06:47:48
Original commit files touched by this commit  0.12.3_2
 This port version is marked as vulnerable.
dinoex search for other commits by this committer
- update to 1.4.1
Reviewed by:    exp8 run on pointyhat
Supported by:   miwi
05 Feb 2010 11:46:55
Original commit files touched by this commit  0.12.3_1
 This port version is marked as vulnerable.
dinoex search for other commits by this committer
- update to jpeg-8
25 Dec 2009 17:26:17
Original commit files touched by this commit  0.12.3
 This port version is marked as vulnerable.
marcus search for other commits by this committer
Update to 0.12.3.
20 Dec 2009 10:43:14
Original commit files touched by this commit  0.12.2
 This port version is marked as vulnerable.
kwm search for other commits by this committer
Fix usage of USE_QT* macros. So depends are detected correctly.

PR:             ports/141347
Submitted by:   Dima Panov <fluffy@FreeBSD.org> (based on patch by makc@)
28 Nov 2009 20:06:37
Original commit files touched by this commit  0.12.2
 This port version is marked as vulnerable.
marcus search for other commits by this committer
Presenting GNOME 2.28.1 for FreeBSD.  The official release notes for this
release can be found at http://library.gnome.org/misc/release-notes/2.28/ .
Officially, this is mostly a polishing release in preparation for GNOME 3.0
due in about a year.

On the FreeBSD front, though, a lot went into this release.  Major thanks
goes to kwm and avl who did a lot of the porting work for this release.
In particular, kwm brought in Evolution MAPI support for better Microsoft
Exchange integration.  Avl made sure that the new gobject introspection
repository ports were nicely compartmentalized so that large dependencies
aren't brought in wholesale.

But, every GNOME team member (ahze, avl, bland, kwm, mezz, and myself)
contributed to this release.
(Only the first 15 lines of the commit message are shown above View all of this commit message)
02 Aug 2009 19:36:34
Original commit files touched by this commit  0.10.6_1
 This port version is marked as vulnerable.
mezz search for other commits by this committer
-Repocopy devel/libtool15 -> libtool22 and libltdl15 -> libltdl22.
-Update libtool and libltdl to 2.2.6a.
-Remove devel/libtool15 and devel/libltdl15.
-Fix ports build with libtool22/libltdl22.
-Bump ports that depend on libltdl22 due to shared library version change.
-Explain what to do update in the UPDATING.

It has been tested with GNOME2, XFCE4, KDE3, KDE4 and other many wm/desktop
and applications in the runtime.

With help:      marcus and kwm
Pointyhat-exp:  a few times by pav
Tested by:      pgollucci, "Romain Tartière" <romain@blogreen.org>, and
                a few MarcusCom CVS users. Also, I might have missed a few.
Repocopy by:    marcus
Approved by:    portmgr
18 Jul 2009 11:11:29
Original commit files touched by this commit  0.10.6_1
 This port version is marked as vulnerable.
dinoex search for other commits by this committer
- update to jpeg7
Tested by:      pav on pointyhat
18 Apr 2009 18:20:07
Original commit files touched by this commit  0.10.6
 This port version is marked as vulnerable.
marcus search for other commits by this committer
Update to 0.10.6 to fix a set of vulnerabilities documented in
http://secunia.com/advisories/34746/ .

"Some vulnerabilities have been reported in Poppler which can be
exploited by malicious people to potentially compromise an
application using the library."

PR:             133838
Submitted by:   Mark Foster <mark@foster.cc>
Approved by:    portmgr (implicit)
10 Apr 2009 05:56:28
Original commit files touched by this commit  0.10.5
 This port version is marked as vulnerable.
marcus search for other commits by this committer
Presenting GNOME 2.26 for FreeBSD.  See
http://library.gnome.org/misc/release-notes/2.26/ for a list of what's new.
On the FreeBSD front, we introduced a port of libxul 1.9 as an alternative
for Firefox 2.0 as a Gecko provider.  Almost all of the Gecko consumers
can make use of this provider by setting:

WITH_GECKO=libxul

The GNOME 2.26 port was done by ahze, kwm, marcus, and mezz with
contributions by Joseph S. Atkinson, Peter Wemm, Eric L. Chen,
Martin Matuska, Craig Butler, and Pawel Worach.
24 Sep 2008 16:31:32
Original commit files touched by this commit  0.8.7_1
 This port version is marked as vulnerable.
mezz search for other commits by this committer
Fix the plist when cairo support is disable, bump the PORTREVISION.

PR:             ports/127254
Submitted by:   Tobias Rehbein <tobias.rehbein@web.de>
08 Sep 2008 02:52:16
Original commit files touched by this commit  0.8.7
 This port version is marked as vulnerable.
marcus search for other commits by this committer
Update to 0.8.7.
25 Aug 2008 00:50:55
Original commit files touched by this commit  0.8.6
 This port version is marked as vulnerable.
ahze search for other commits by this committer
Update to 0.8.6
04 Aug 2008 02:28:01
Original commit files touched by this commit  0.8.5
 This port version is marked as vulnerable.
mezz search for other commits by this committer
Update to 0.8.5.
09 Jul 2008 16:43:29
Original commit files touched by this commit  0.8.4_2
 This port version is marked as vulnerable.
naddy search for other commits by this committer
Fix a memory management bug which could lead to arbitrary code execution.

Obtained from:  Felipe Andres Manzano <fmanzano@fceia.unr.edu.ar>
Security:      
http://www.vuxml.org/freebsd/bc20510f-4dd4-11dd-93e7-0211d880e350.html
Security:       CVE-2008-2950
03 Jul 2008 18:45:45
Original commit files touched by this commit  0.8.4_1
 This port version is marked as vulnerable.
mezz search for other commits by this committer
Fix the build in QA Tindy for not able to find moc-qt4 by 'which moc-qt4', so
add a patch to replace from 'which moc-qt4' to '${LOCALBASE}/bin/moc-qt4'.

Reported by:    QA Tindy
03 Jul 2008 16:13:44
Original commit files touched by this commit  0.8.4_1
 This port version is marked as vulnerable.
mezz search for other commits by this committer
- Add jpeg dependency, bump the PORTREVISION on poppler, poppler-qt4 and
  poppler-utils.
- Add --disable-gdk and --disable-gtk-test if it's not poppler-gtk.
- Minor clean up related w/ whitespace.
02 Jul 2008 19:59:23
Original commit files touched by this commit  0.8.4
 This port version is marked as vulnerable.
mezz search for other commits by this committer
Update to 0.8.4.
30 Jun 2008 20:16:22
Original commit files touched by this commit  0.8.3_1
 This port version is marked as vulnerable.
mezz search for other commits by this committer
First all, ahze did most of work. Thanks ahze! Last week or so, I am just
merely pick up and help him. Thanks to many testers in both private and
mailing list emails for report a few of build and dependencies problems.
Also, thanks to marcus and Chess Griffin for test in their tinderboxes.

x11/pixman: Update to 0.10.0
-------------------------------------------------------
Firefox 3 needs it. Orignal, the shared library was bumped and ahze has
added a new feature in our USE_GNOME=ltverhack by can control the number
of shared library. To control the number of shared library, add the
ltverhack:N. Right now pixman has USE_GNOME=ltverhack:9 to make it stays
same at libpixman-1.so.9. If anyone want to use ltverhack:N in one of your
port, you need to make sure the ABI doesn't change to use it..
-------------------------------------------------------
(Only the first 15 lines of the commit message are shown above View all of this commit message)
05 May 2008 19:23:02
Original commit files touched by this commit  0.6.4_1
 This port version is marked as vulnerable.
mezz search for other commits by this committer
Add a missing dependency, fontconfig, when disables ciaro support. Bump the
PORTREVISION.

PR:             ports/123417
Reported by:    Michael Moll <kvedulv@kvedulv.de>
06 Feb 2008 00:56:27
Original commit files touched by this commit  0.6.4
 This port version is marked as vulnerable.
marcus search for other commits by this committer
Update to 0.6.4.
15 Dec 2007 22:36:28
Original commit files touched by this commit  0.6.3
 This port version is marked as vulnerable.
marcus search for other commits by this committer
Update to 0.6.3.
12 Dec 2007 04:40:15
Original commit files touched by this commit  0.6.2
 This port version is marked as vulnerable.
marcus search for other commits by this committer
Update to 0.6.2.
11 Sep 2007 03:59:13
Original commit files touched by this commit  0.6
 This port version is marked as vulnerable.
marcus search for other commits by this committer
Update to 0.6.
28 Aug 2007 00:57:24
Original commit files touched by this commit  0.5.91
 This port version is marked as vulnerable.
marcus search for other commits by this committer
Update to 0.5.91.
31 Jul 2007 14:39:36
Original commit files touched by this commit  0.5.9_4
 This port version is marked as vulnerable.
ahze search for other commits by this committer
- Plug a memory leak [1]
- Fix an integer overflow [2]

Obtained from:  Poppler SVN [1]
                Redhat http://rhn.redhat.com/errata/RHSA-2007-0732.html [2]
Security:       http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-3387
Reported by:    miwi via irc.freenode.org/#FreeBSD-GNOME
25 Jul 2007 14:35:31
Original commit files touched by this commit  0.5.9_3
 This port version is marked as vulnerable.
ahze search for other commits by this committer
Install poppler-qt4.pc for poppler-qt4

PR:             ports/114773
Reported by:    Sven Gaerner
23 Jul 2007 09:36:52
Original commit files touched by this commit  0.5.9_3
 This port version is marked as vulnerable.
rafan search for other commits by this committer
- Set --mandir and --infodir in CONFIGURE_ARGS if the configure script
  supports them.  This is determined by running ``configure --help'' in
  do-configure target and set the shell variable _LATE_CONFIGURE_ARGS
  which is then passed to CONFIGURE_ARGS.
- Remove --mandir and --infodir in ports' Makefile where applicable
  Few ports use REINPLACE_CMD to achieve the same effect, remove them too.
- Correct some manual pages location from PREFIX/man to MANPREFIX/man
- Define INFO_PATH where necessary
- Document that .info files are installed in a subdirectory relative to
  PREFIX/INFO_PATH and slightly change add-plist-info to use INFO_PATH and
  subdirectory detection.

PR:             ports/111470
Approved by:    portmgr
Discussed with: stas (Mk/*), gerald (info related stuffs)
Tested by:      pointyhat exp run
16 Jul 2007 10:12:15
Original commit files touched by this commit  0.5.9_3
 This port version is marked as vulnerable.
lofi search for other commits by this committer
Update to Qt 4.3.0, introduce bsd.qt.mk.

Approved by: portmgr (bsd.port.mk changes)
14 Jul 2007 21:31:07
Original commit files touched by this commit  0.5.9_3
 This port version is marked as vulnerable.
marcus search for other commits by this committer
Make sure that all of the proper --disable-* args are passed to configure
when not building slave ports.
14 Jul 2007 19:41:01
Original commit files touched by this commit  0.5.9_1
 This port version is marked as vulnerable.
marcus search for other commits by this committer
Fix detection of cairo support after the last commit.  Cairo support was
only being enabled when SLAVEPORT was defined, and this had the potential
of breaking package builds.
13 Jul 2007 13:54:42
Original commit files touched by this commit  0.5.9_1
 This port version is marked as vulnerable.
ahze search for other commits by this committer
Don't link to libpoppler from graphics/poppler since it doesn't contain required
Arthur backend. Instead build libpoppler with poppler-qt4

PR:             ports/114551
Reported by:            Sven Gaerner <sgaerner@gmx.net>
03 Jul 2007 21:10:24
Original commit files touched by this commit  0.5.9_1
 This port version is marked as vulnerable.
ahze search for other commits by this committer
- Fix bashism in configure script [1]
- Update plist in poppler-qt

Reported by:    trhodes and lists@jnielsen.net [1]
03 Jul 2007 11:25:39
Original commit files touched by this commit  0.5.9_1
 This port version is marked as vulnerable.
ahze search for other commits by this committer
Get rid of X11BASE

Submitted by:   mezz
03 Jul 2007 11:14:36
Original commit files touched by this commit  0.5.9_1
 This port version is marked as vulnerable.
ahze search for other commits by this committer
Update to 0.5.9
19 May 2007 20:32:57
Original commit files touched by this commit  0.5.4_3
 This port version is marked as vulnerable.
flz search for other commits by this committer
- Welcome X.org 7.2 \o/.
- Set X11BASE to ${LOCALBASE} for recent ${OSVERSION}.
- Bump PORTREVISION for ports intalling files in ${X11BASE}.
13 Feb 2007 00:16:29
Original commit files touched by this commit  0.5.4_2
 This port version is marked as vulnerable.
pav search for other commits by this committer
- Remove QTDIR from CONFIGURE_ENV, it's in there already thanks to framework

Submitted by:   rafan
Tested on:      pointyhat
13 Nov 2006 21:19:21
Original commit files touched by this commit  0.5.4_2
 This port version is marked as vulnerable.
mezz search for other commits by this committer
Took a patch from CVS to fix a few of PDFs display as characters inverted.

PR:             ports/104490
Bugzilla:       https://bugs.freedesktop.org/show_bug.cgi?id=8924
                https://bugs.freedesktop.org/show_bug.cgi?id=8944
Reported by:    trasz <trasz@pin.if.uz.zgora.pl>
14 Oct 2006 08:35:50
Original commit files touched by this commit  0.5.4_1
 This port version is marked as vulnerable.
marcus search for other commits by this committer
Presenting GNOME 2.16.1 for FreeBSD.  This release represents a massive
amount of work by the FreeBSD GNOME Team and our testers.

On top of the usual GNOME update, we have taken this opportunity to move
GNOME from X11BASE to LOCALBASE.  This means roughly 600 ports NOT part of
the GNOME Desktop also need to be changed.  The bulk of the move was carried
out by ahze, mezz, and pav, but it would not have been possible without
cooperation from the FreeBSD KDE team who worked with us to make sure
GNOME and KDE can still coexist happily.  We would also like to send a
shout out to kris and pointyhat for putting up with multiple test runs
until we got something that was solid.

Back to GNOME 2.16.  This release brings a huge amount of new functionality
to FreeBSD.  The standard release notes can be read at
http://www.gnome.org/start/2.16/ .  But on top of what you will read there,
(Only the first 15 lines of the commit message are shown above View all of this commit message)
17 Sep 2006 21:51:24
Original commit files touched by this commit  0.5.3_1
 This port version is marked as vulnerable.
marcus search for other commits by this committer
Only depend on cairo if we want cairo support.

PR:             102711
Submitted by:   Shane Bell <decept0@gmail.com>

Number of commits found: 122 (showing only 100 on this page)

1 | 2  »  

Login
User Login
Create account

Servers and bandwidth provided by
New York Internet, iXsystems, and RootBSD

This site
What is FreshPorts?
About the authors
Issues
FAQ
How big is it?
The latest upgrade!
Privacy
Forums
Blog
Contact

Search
Enter Keywords:
 
more...

Latest Vulnerabilities
py-pillowOct 15
mod_perl2Oct 09
xpdfOct 06
xpdf3Oct 06
xpdf4Oct 06
unboundOct 03
cactiOct 02
gitlab-ceOct 02
gitlab-ceOct 02
ruby24Oct 02
ruby25Oct 02
mongodb34Sep 30
mongodb34Sep 30
mongodb36Sep 30
mongodb36Sep 30

8 vulnerabilities affecting 24 ports have been reported in the past 14 days

* - modified, not new

All vulnerabilities

Last updated:
2019-10-15 15:43:31


Ports
Home
Categories
Deleted ports
Sanity Test Failures
Newsfeeds

Statistics
Graphs
NEW Graphs (Javascript)
Traffic

Calculated hourly:
Port count 37690
Broken 77
Deprecated 102
Ignore 341
Forbidden 3
Restricted 156
No CDROM 73
Vulnerable 27
Expired 18
Set to expire 73
Interactive 0
new 24 hours 0
new 48 hours4
new 7 days24
new fortnight59
new month225

Servers and bandwidth provided by
New York Internet, iXsystems, and RootBSD
Valid HTML, CSS, and RSS.
Copyright © 2000-2019 Dan Langille. All rights reserved.